package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.Activity;
import com.lightinit.hsdataplatform.entity.ActivityWithBLOBs;
import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.*;

import java.io.IOException;
import java.util.List;

/**
 * Created by WangYao on 2018/5/23.
 */
public interface IResourceDataRegisterService {

    ResourceDataRegisterDataModel queryOne(long id);
    List<ResourceDataRegisterListModel> queryList(ResourceDataRegisterSearchModel inputModel);
    long queryCount(ResourceDataRegisterSearchModel inputModel);
    ResultState<Long> add(ResourceDataRegisterDataModel inputModel);
    ResultState<Long> edit(ResourceDataRegisterDataModel inputModel);
    ResultState<Long> delete(long id);
    ResultState<Long> audit(ResourceDataRegisterAuditModel inputModel);

}
